#if !defined(AFX_MESSAGEDIAG_H__ACB93D89_5583_43E6_B5DD_0F00497B1ACF__INCLUDED_)
#define AFX_MESSAGEDIAG_H__ACB93D89_5583_43E6_B5DD_0F00497B1ACF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MessageDiag.h : header file
//

// uncomment this out to show all messages generating within deNet.dll
// #define DN_SHOW_ALL_MESSAGES

/////////////////////////////////////////////////////////////////////////////
// CMessageDiag form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CMessageDiag : public CFormView
{

public:
	CMessageDiag();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CMessageDiag)

// Form Data
public:
	//{{AFX_DATA(CMessageDiag)
	enum { IDD = IDD_DIAG_MESSAGES };
	CXListCtrl	m_lstMessages;
	CImageList	m_imgMessages;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:

	bool		AddMessage( const char * pText );
	void		ClearMessages( void );

	static CMessageDiag *	GetWin( void )	{ return m_Singleton; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMessageDiag)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMessageDiag();
protected:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CMessageDiag)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	static CMessageDiag * m_Singleton;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESSAGEDIAG_H__ACB93D89_5583_43E6_B5DD_0F00497B1ACF__INCLUDED_)
